public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Evans" <grknight@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-eselect/eselect-php/files/, app-eselect/eselect-php/
Date: Tue, 11 Jul 2017 14:43:22 +0000 (UTC)	[thread overview]
Message-ID: <1499784192.21edd6ec86951ac1b5b6e43d9710d21498d300ce.grknight@gentoo> (raw)

commit:     21edd6ec86951ac1b5b6e43d9710d21498d300ce
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 11 14:43:12 2017 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Jul 11 14:43:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21edd6ec

app-eselect/eselect-php: Add live version for testing

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 app-eselect/eselect-php/eselect-php-9999.ebuild   | 66 +++++++++++++++++++++++
 app-eselect/eselect-php/files/php-fpm-launcher-r1 |  9 ++++
 2 files changed, 75 insertions(+)

diff --git a/app-eselect/eselect-php/eselect-php-9999.ebuild b/app-eselect/eselect-php/eselect-php-9999.ebuild
new file mode 100644
index 00000000000..bbb40ca5261
--- /dev/null
+++ b/app-eselect/eselect-php/eselect-php-9999.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd git-r3 autotools
+
+DESCRIPTION="PHP eselect module"
+HOMEPAGE="https://gitweb.gentoo.org/proj/eselect-php.git/"
+EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/eselect-php.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="fpm apache2"
+
+# The "DirectoryIndex" line in 70_mod_php.conf requires mod_dir.
+RDEPEND="app-admin/eselect
+	sys-apps/gentoo-functions
+	apache2? ( www-servers/apache[apache2_modules_dir] )"
+
+src_prepare() {
+	eapply_user
+	eautoreconf
+}
+
+src_configure(){
+	# We expect localstatedir to be "var"ish, not "var/lib"ish, because
+	# that's what PHP upstream expects. See for example the FPM
+	# configuration where they put logs in @localstatedir@/log.
+	econf --localstatedir="${EPREFIX}"/var $(use_enable apache2)
+}
+
+src_install() {
+	default
+	[[ -f "${D}/etc/init.d/php-fpm.example.init" ]] && rm "${D}/etc/init.d/php-fpm.example.init" || die
+	# This can be removed after a while...
+	if use apache2 ; then
+		insinto /etc/apache2/modules.d
+		newins "${FILESDIR}/70_mod_php5.backcompat.conf" 70_mod_php5.conf
+	fi
+
+	if use fpm ; then
+		newinitd "doc/php-fpm.example.init" "php-fpm"
+		newconfd "doc/php-fpm.example.conf" "php-fpm"
+		systemd_dotmpfilesd "${FILESDIR}/php-fpm.conf"
+		exeinto /usr/libexec
+		newexe "${FILESDIR}/php-fpm-launcher-r1" php-fpm-launcher
+	fi
+}
+
+pkg_postinst() {
+	if use apache2 ; then
+		elog
+		elog "If you are upgrading, be warned that our mod_php configuration"
+		elog "file has changed! You should now define -DPHP for the apache2"
+		elog "daemon, and inspect the new 70_mod_php.conf which has been"
+		elog "installed. Module loading involves eselect as of this version."
+		elog
+		elog "You must run eselect at least once to choose your apache2 target"
+		elog "before the new configuration will work. Afterwards, and after you"
+		elog "have reviewed your new configuration, you are advised to remove"
+		elog "the obsolete 70_mod_php5.conf file."
+		elog
+	fi
+}

diff --git a/app-eselect/eselect-php/files/php-fpm-launcher-r1 b/app-eselect/eselect-php/files/php-fpm-launcher-r1
new file mode 100644
index 00000000000..c7cc2e983a0
--- /dev/null
+++ b/app-eselect/eselect-php/files/php-fpm-launcher-r1
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+source /lib/gentoo/functions.sh
+
+PHPSLOT="${1}"
+[ -z "${PHPSLOT}" ] && PHPSLOT="$(eselect php show fpm)"
+shift
+
+exec /usr/$(get_libdir)/${PHPSLOT}/bin/php-fpm "${@}"


             reply	other threads:[~2017-07-11 14:43 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-11 14:43 Brian Evans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-12-10 22:02 [gentoo-commits] repo/gentoo:master commit in: app-eselect/eselect-php/files/, app-eselect/eselect-php/ Craig Andrews
2017-08-01 18:27 Brian Evans
2017-07-29 12:29 Michael Orlitzky
2016-10-11 13:37 Brian Evans
2016-01-05 19:16 Michael Orlitzky
2015-12-11  1:08 Michael Orlitzky
2015-11-19 23:33 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1499784192.21edd6ec86951ac1b5b6e43d9710d21498d300ce.grknight@gentoo \
    --to=grknight@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox